ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Peter Donald <pe...@apache.org>
Subject Re: removing deprecated stuff
Date Thu, 22 Nov 2001 12:36:26 GMT
On Thu, 22 Nov 2001 23:26, Stephane Bailliez wrote:
> > -----Original Message-----
> > From: Peter Donald [mailto:peter@apache.org]
> >
> > On Thu, 22 Nov 2001 23:15, Conor MacNeill wrote:
> > > I think there are many things which have been deprecated for many
> > > releases. IMHO, it is probably time to clean some of these out.
> > >
> > > Thoughts?
> >
> > If theres no harm in keeping them then we should keep em. If they are
> > restricting further development then maybe we remove them - I
> > guess it would
> > be best to decide on a case by case basis, no ?
>
> It's always a somewhat case by case, but Conor said "deprecated for many
> releases".
> If something get deprecated more than a year ago, obviouslly it's time to
> clean up for good to get rid of it...
>
> For example things like copyfile, copydir, deltree, rename javadoc2 and
> such should IMHO be removed.

aesthetically it may be a nice idea but I can't see an advantage from an 
engineering perspective. If feature X (copydir, deltree, whatever) is not 
costing us anything to maintain then why remove it? There is still people 
using old versions of ant for one reason or another. Some have just never 
seen a reason to upgrade. When they do upgrade I would like things to work as 
much as possible.

If you are really worried about aesthetics or people trying to maintain the 
old files then move them to a new hierarchy (ie src/compat) and place a 
README.txt/WARNING.txt/whatever in that hierarchy warning people that not 
patches will be accepted or applied to tree.

Unless feature X happens to be restricting further innovation in some fashion 
then why don't we just keep it ?

Remember not everyone lives in internet time and may still be using older 
versions of ant. Besides we may end up braking gump because some of the 
projects run by gump (ie some exolab ones) still use old versions of ant and 
I think that is enough of an issue to make breaking backwards compatability 
for no reason at all truly suck.

-- 
Cheers,

Pete

-------------------------------------------------------
"I would like to take you seriously but to do so would 
affront your intelligence" -William F. Buckley, JR
-------------------------------------------------------

--
To unsubscribe, e-mail:   <mailto:ant-dev-unsubscribe@jakarta.apache.org>
For additional commands, e-mail: <mailto:ant-dev-help@jakarta.apache.org>


Mime
View raw message